[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Requires, Prereq, and Requires(pre)



On Wed, 2005-04-20 at 02:12 -1000, Warren Togami wrote:

> However the story behind Requires, Prereq, and Requires(pre) is more 
> complicated.  Apparently Requires and Prereq are now equivalent,

Rumoured to be so, but practical testing with the plain old rpm CLI
shows that PreReq still possesses some of the dep loop breaking magic.
I tested this last week on a FC4t2 box, with enough repetitions so it
cannot be attributed to just being lucky.  Note: PreReq no longer seems
to affect plain "yum install", or in a more generic manner, I guess
rpmlib does not make a distinction between Requires and PreReq.  Why the
CLI still does is beyond me.

>  but 
> Requires(pre) is not.  This really needs to be explained with detailed 
> examples and documented once and for all in the Wiki because this is 
> repeatedly a source of confusion.

FWIW, I've already documented my understanding of this stuff in the
development version of Maximum RPM, see especially "Fine Grained
Dependencies", "The PreReq Tag" and "Context Marked Dependencies" at
http://www.rpm.org/max-rpm-snapshot/s1-rpm-depend-manual-dependencies.html

It does seem to need a slight update regarding the supposedly changed
PreReq semantics in rpmlib, see above.  And the blurb about erasure
ordering is inaccurate, I'll look into improving it.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]